byte_array.hpp File Reference
`#include "./internal/export.hpp"`
`#include "./internal/comparable.hpp"`
`#include "./types_fwd.hpp"`
`#include <proton/type_compat.h>`
`#include <algorithm>`
`#include <iterator>`
Include dependency graph for byte_array.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | byte_array< N >
| Arbitrary fixed-size data. More...

## Namespaces

| proton
| The main Proton namespace.

## Detailed Description

Arbitrary fixed-size data.